Remine 2.3 compatibility
Status: Won't Fix Start date: 27 Jun 2013

Priority: Normal Due date: 08 Jul 2013

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.3.x External issue:  

Description

If I am not mistaken, this very useful plug-in does not work with redmine 2.3.

Any chance to get it fixed?

Here is the trace produced by rake plugin migrate:

 rake --trace redmine:plugins:migrate RAILS_ENV="production" 

rake aborted!

uninitialized constant SidebarContentHelper

/usr/local/share/redmine-2.3.0/plugins/sidebar-content/init.rb:11:in `block in <top (required)>'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:550:in `_run__218767

2964500219770__prepare__3576647200635098444__callbacks'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in `__run_callba

ck'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385:in `_run_prepare

_callbacks'

/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81:in `run_callbacks

'

/var/lib/gems/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/reloader.rb:74:in `prepa

re!'

/var/lib/gems/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/reloader.rb:48:in `prepa

re!'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/application/finisher.rb:47:in `block in <module

:Finisher>'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:30:in `instance_exec'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:30:in `run'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:55:in `block in run_initialize

rs'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:54:in `each'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:54:in `run_initializers'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/application.rb:136:in `initialize!'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in `method_missing'

/usr/local/share/redmine-2.3.0/config/environment.rb:14:in `<top (required)>'

/usr/local/share/redmine-2.3.0/plugins/redmine_dmsf/lib/tasks/dmsf_convert_documents.rake:32:in `r

equire'

/usr/local/share/redmine-2.3.0/plugins/redmine_dmsf/lib/tasks/dmsf_convert_documents.rake:32:in `<

top (required)>'

/usr/local/share/redmine-2.3.0/lib/tasks/redmine.rake:126:in `load'

/usr/local/share/redmine-2.3.0/lib/tasks/redmine.rake:126:in `block in <top (required)>'

/usr/local/share/redmine-2.3.0/lib/tasks/redmine.rake:126:in `each'

/usr/local/share/redmine-2.3.0/lib/tasks/redmine.rake:126:in `<top (required)>'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:425:in `load'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:425:in `block in load_tasks'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:425:in `each'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:425:in `load_tasks'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/application.rb:145:in `load_tasks'

/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in `method_missing'

/usr/local/share/redmine-2.3.0/Rakefile:7:in `<top (required)>'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/rake_module.rb:25:in `load'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/rake_module.rb:25:in `load_rakefile'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:589:in `raw_load_rakefile'
/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:89:in `block in load_rakefile'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:160:in `standard_exception_handling'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:88:in `load_rakefile'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:72:in `block in run'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:160:in `standard_exception_handling'

/var/lib/gems/1.9.1/gems/rake-10.0.4/lib/rake/application.rb:70:in `run'

/var/lib/gems/1.9.1/gems/rake-10.0.4/bin/rake:33:in `<top (required)>'

/usr/local/bin/rake:19:in `load'

/usr/local/bin/rake:19:in `<main>'

History

#1 - 06 Jul 2013 22:16 - Andriy Lesyuk

- Assignee set to Andriy Lesyuk

- Target version set to 0.1.1

#2 - 06 Jul 2013 23:53 - Andriy Lesyuk

- Status changed from New to Incomplete

Could not reproduce the issue under 2.3.x...

Please check the plugin directory name, see #2083.

#3 - 06 Jul 2013 23:54 - Andriy Lesyuk

- % Done changed from 0 to 20

#4 - 08 Jul 2013 07:40 - GianMaria Romanato

You are right, I had forgotten the last sidebar argument on the svn co command line and as a result the plug-in directory was named sidebar-content

. After renaming to sidebar the plug-in worked as expected.

This issue should be rejected.

Thanks.

#5 - 08 Jul 2013 09:18 - Andriy Lesyuk

- Due date set to 08 Jul 2013

- Status changed from Incomplete to Won't Fix

- % Done changed from 20 to 0

#6 - 08 Jul 2013 09:18 - Andriy Lesyuk

- Tracker changed from Bug to Support

#7 - 18 Sep 2013 23:36 - Andriy Lesyuk

- Target version deleted (0.1.1)
